<template>
    <!--<div class="container-fluid">-->
    <div>
        <div class="d-flex justify-content-center">
            <div class="wash_board_wrap">

                <!--Board Header-->
                <div class="wb_header">
                    <div class="col_1">
                        <i class="ri-car-line"></i>
                        <span>Автомобиль</span>
                    </div>
                    <div class="col_2">
                        <i class="ri-alarm-line"></i>
                        <span>Начало</span>
                    </div>
                    <div class="col_3">
                        <i class="ri-car-line"></i>
                        <span class="white-arrow">
                            <i class="ri-arrow-right-line"></i>
                        </span>
                    </div>
                    <div class="col_4">
                        <i class="ri-car-line"></i>
                    </div>
                </div>

                <!--Board Body-->
                <div class="wb_body">

                    <!-- Каз. номер / В процессе -->
                    <div class="wb_row in_process">
                        <div class="col_1">
                            <!-- KAZ White -->
                            <div class="car_number kz_white">
                                <div class="num_img">
                                    <div class="kaz_flag"></div>
                                    <span>KZ</span>
                                </div>
                                <div class="num_digits">979</div>
                                <div class="num_letters">UDM</div>
                                <div class="num_region">10</div>
                            </div>
                            <!-- \ KAZ White -->
                        </div>
                        <div class="col_2">
                            <div class="time_start">00:00:00</div>
                        </div>
                        <div class="col_3">
                            <div class="location">В ПРОЦЕССЕ</div>
                        </div>
                        <div class="col_4">
                            <div class="destination"><i class="ri-car-washing-line"></i> МОЙКА 1</div>
                        </div>
                    </div>
                    <!-- \ Car Row KZ -->

                    <!-- VIN / Истекает время -->
                    <div class="wb_row warning">
                        <div class="col_1">
                            <!-- VIN Number -->
                            <div class="car_number vin">
                                <div class="num_img">
                                    <i class="ri-barcode-line"></i>
                                </div>
                                <div class="num_digits">254 785</div>
                            </div>
                            <!-- \ VIN Number -->
                        </div>
                        <div class="col_2">
                            <div class="time_start">01:27:45</div>
                        </div>
                        <div class="col_3">
                            <div class="key">
                                <div class="icon">
                                    <svg width="23" height="23" viewBox="0 0 36 36" fill="none" xmlns="http://www.w3.org/2000/svg">
                                        <path fill-rule="evenodd" clip-rule="evenodd"
                                              d="M23.38 16.7699L23.98 16.1699C25.9374 14.2229 25.9464 11.0579 24 9.09991L18.71 3.83991C16.7575 1.888 13.5925 1.888 11.64 3.83991L3.08997 12.3899C1.13806 14.3424 1.13806 17.5074 3.08997 19.4599L8.34997 24.7199C10.3025 26.6718 13.4675 26.6718 15.42 24.7199L15.87 24.2699L17.97 26.4699H21.41V29.4699H25.1V31.0999L28 33.9999H34V27.4499L23.38 16.7699ZM14.82 10.1799L9.36997 15.6399C8.97993 16.0276 8.35001 16.0276 7.95997 15.6399L7.55997 15.2399C7.17225 14.8499 7.17225 14.2199 7.55997 13.8299L13 8.35991C13.39 7.97219 14.0199 7.97219 14.41 8.35991L14.81 8.75991C15.0006 8.94634 15.1089 9.20119 15.1108 9.46783C15.1127 9.73447 15.008 9.99081 14.82 10.1799ZM28.86 31.9999H32V28.2799L22 18.1799L17.28 22.8299L18.8 24.4399H23.41V27.4399H27.09V30.2399L28.86 31.9999Z"
                                              fill="#737373"/>
                                    </svg>
                                </div>
                                <div class="key_num">28</div>
                            </div>
                            <div class="location">ОЖИДАНИЕ</div>
                        </div>
                        <div class="col_4">
                            <div class="destination"><i class="ri-settings-5-line"></i> ЦЕХ 7</div>
                        </div>
                    </div>
                    <!-- \ Car Row KZ -->

                    <!-- Каз. юр.номер. / Просрочено  -->
                    <div class="wb_row expired">
                        <div class="col_1">
                            <!--KAZ-->
                            <div class="car_number kz_white">
                                <div class="num_img">
                                    <div class="kaz_flag"></div>
                                    <span>KZ</span>
                                </div>
                                <div class="num_digits">777</div>
                                <div class="num_letters">AF</div>
                                <div class="num_region">01</div>
                            </div>
                            <!-- \ KAZ-->
                        </div>
                        <div class="col_2">
                            <div class="time_start"><span>ПРОСРОЧЕНО</span></div>
                        </div>
                        <div class="col_3">
                            <div class="key">
                                <div class="icon">
                                    <svg width="23" height="23" viewBox="0 0 36 36" fill="none" xmlns="http://www.w3.org/2000/svg">
                                        <path fill-rule="evenodd" clip-rule="evenodd"
                                              d="M23.38 16.7699L23.98 16.1699C25.9374 14.2229 25.9464 11.0579 24 9.09991L18.71 3.83991C16.7575 1.888 13.5925 1.888 11.64 3.83991L3.08997 12.3899C1.13806 14.3424 1.13806 17.5074 3.08997 19.4599L8.34997 24.7199C10.3025 26.6718 13.4675 26.6718 15.42 24.7199L15.87 24.2699L17.97 26.4699H21.41V29.4699H25.1V31.0999L28 33.9999H34V27.4499L23.38 16.7699ZM14.82 10.1799L9.36997 15.6399C8.97993 16.0276 8.35001 16.0276 7.95997 15.6399L7.55997 15.2399C7.17225 14.8499 7.17225 14.2199 7.55997 13.8299L13 8.35991C13.39 7.97219 14.0199 7.97219 14.41 8.35991L14.81 8.75991C15.0006 8.94634 15.1089 9.20119 15.1108 9.46783C15.1127 9.73447 15.008 9.99081 14.82 10.1799ZM28.86 31.9999H32V28.2799L22 18.1799L17.28 22.8299L18.8 24.4399H23.41V27.4399H27.09V30.2399L28.86 31.9999Z"
                                              fill="#737373"/>
                                    </svg>
                                </div>
                                <div class="key_num">28</div>
                            </div>
                            <div class="location">ОЖИДАНИЕ</div>
                        </div>
                        <div class="col_4">
                            <div class="destination"><i class="ri-settings-5-line"></i> ЦЕХ 7</div>
                        </div>
                    </div>
                    <!-- \ Car Row KZ -->

                    <!--Car Row KZ Yellow -->
                    <div class="wb_row">
                        <div class="col_1">
                            <!--KAZ Yellow -->
                            <div class="car_number yellow">
                                <div class="num_img">
                                    <div class="kaz_flag"></div>
                                    <span>KZ</span>
                                </div>
                                <div class="num_letters">H</div>
                                <div class="num_digits">1234</div>
                                <div class="num_region">12</div>
                            </div>
                            <!-- \ KAZ Yellow -->
                        </div>
                        <div class="col_2">
                            <div class="time_start">01:27:45</div>
                        </div>
                        <div class="col_3">
                            <div class="key">
                                <div class="icon">
                                    <svg width="23" height="23" viewBox="0 0 36 36" fill="none" xmlns="http://www.w3.org/2000/svg">
                                        <path fill-rule="evenodd" clip-rule="evenodd"
                                              d="M23.38 16.7699L23.98 16.1699C25.9374 14.2229 25.9464 11.0579 24 9.09991L18.71 3.83991C16.7575 1.888 13.5925 1.888 11.64 3.83991L3.08997 12.3899C1.13806 14.3424 1.13806 17.5074 3.08997 19.4599L8.34997 24.7199C10.3025 26.6718 13.4675 26.6718 15.42 24.7199L15.87 24.2699L17.97 26.4699H21.41V29.4699H25.1V31.0999L28 33.9999H34V27.4499L23.38 16.7699ZM14.82 10.1799L9.36997 15.6399C8.97993 16.0276 8.35001 16.0276 7.95997 15.6399L7.55997 15.2399C7.17225 14.8499 7.17225 14.2199 7.55997 13.8299L13 8.35991C13.39 7.97219 14.0199 7.97219 14.41 8.35991L14.81 8.75991C15.0006 8.94634 15.1089 9.20119 15.1108 9.46783C15.1127 9.73447 15.008 9.99081 14.82 10.1799ZM28.86 31.9999H32V28.2799L22 18.1799L17.28 22.8299L18.8 24.4399H23.41V27.4399H27.09V30.2399L28.86 31.9999Z"
                                              fill="#737373"/>
                                    </svg>
                                </div>
                                <div class="key_num">28</div>
                            </div>
                            <div class="location">ОЖИДАНИЕ</div>
                        </div>
                        <div class="col_4">
                            <div class="destination"><i class="ri-settings-5-line"></i> ЦЕХ 7</div>
                        </div>
                    </div>
                    <!-- \ Car Row KZ -->

                    <!--Car Row KZ Not Resident -->
                    <div class="wb_row">
                        <div class="col_1">
                            <!--KAZ Not Resident -->
                            <div class="car_number not_resident">
                                <div class="num_letters">H</div>
                                <div class="num_digits">123456</div>
                            </div>
                            <!-- \ KAZ Not Resident -->
                        </div>
                        <div class="col_2">
                            <div class="time_start">01:27:45</div>
                        </div>
                        <div class="col_3">
                            <div class="key">
                                <div class="icon">
                                    <svg width="23" height="23" viewBox="0 0 36 36" fill="none" xmlns="http://www.w3.org/2000/svg">
                                        <path fill-rule="evenodd" clip-rule="evenodd"
                                              d="M23.38 16.7699L23.98 16.1699C25.9374 14.2229 25.9464 11.0579 24 9.09991L18.71 3.83991C16.7575 1.888 13.5925 1.888 11.64 3.83991L3.08997 12.3899C1.13806 14.3424 1.13806 17.5074 3.08997 19.4599L8.34997 24.7199C10.3025 26.6718 13.4675 26.6718 15.42 24.7199L15.87 24.2699L17.97 26.4699H21.41V29.4699H25.1V31.0999L28 33.9999H34V27.4499L23.38 16.7699ZM14.82 10.1799L9.36997 15.6399C8.97993 16.0276 8.35001 16.0276 7.95997 15.6399L7.55997 15.2399C7.17225 14.8499 7.17225 14.2199 7.55997 13.8299L13 8.35991C13.39 7.97219 14.0199 7.97219 14.41 8.35991L14.81 8.75991C15.0006 8.94634 15.1089 9.20119 15.1108 9.46783C15.1127 9.73447 15.008 9.99081 14.82 10.1799ZM28.86 31.9999H32V28.2799L22 18.1799L17.28 22.8299L18.8 24.4399H23.41V27.4399H27.09V30.2399L28.86 31.9999Z"
                                              fill="#737373"/>
                                    </svg>
                                </div>
                                <div class="key_num">28</div>
                            </div>
                            <div class="location">ОЖИДАНИЕ</div>
                        </div>
                        <div class="col_4">
                            <div class="destination"><i class="ri-settings-5-line"></i> ЦЕХ 7</div>
                        </div>
                    </div>
                    <!-- \ Car Row KZ -->

                    <!--Car Row KZ Old Numbers -->
                    <div class="wb_row">
                        <div class="col_1">
                            <!--KAZ Old -->
                            <div class="car_number old_number">
                                <div class="num_digits">P</div>
                                <div class="num_digits">040</div>
                                <div class="num_digits">TFM</div>
                            </div>
                            <!-- \ KAZ Old -->
                        </div>
                        <div class="col_2">
                            <div class="time_start">01:27:45</div>
                        </div>
                        <div class="col_3">
                            <div class="key">
                                <div class="icon">
                                    <svg width="23" height="23" viewBox="0 0 36 36" fill="none" xmlns="http://www.w3.org/2000/svg">
                                        <path fill-rule="evenodd" clip-rule="evenodd"
                                              d="M23.38 16.7699L23.98 16.1699C25.9374 14.2229 25.9464 11.0579 24 9.09991L18.71 3.83991C16.7575 1.888 13.5925 1.888 11.64 3.83991L3.08997 12.3899C1.13806 14.3424 1.13806 17.5074 3.08997 19.4599L8.34997 24.7199C10.3025 26.6718 13.4675 26.6718 15.42 24.7199L15.87 24.2699L17.97 26.4699H21.41V29.4699H25.1V31.0999L28 33.9999H34V27.4499L23.38 16.7699ZM14.82 10.1799L9.36997 15.6399C8.97993 16.0276 8.35001 16.0276 7.95997 15.6399L7.55997 15.2399C7.17225 14.8499 7.17225 14.2199 7.55997 13.8299L13 8.35991C13.39 7.97219 14.0199 7.97219 14.41 8.35991L14.81 8.75991C15.0006 8.94634 15.1089 9.20119 15.1108 9.46783C15.1127 9.73447 15.008 9.99081 14.82 10.1799ZM28.86 31.9999H32V28.2799L22 18.1799L17.28 22.8299L18.8 24.4399H23.41V27.4399H27.09V30.2399L28.86 31.9999Z"
                                              fill="#737373"/>
                                    </svg>
                                </div>
                                <div class="key_num">28</div>
                            </div>
                            <div class="location">ОЖИДАНИЕ</div>
                        </div>
                        <div class="col_4">
                            <div class="destination"><i class="ri-settings-5-line"></i> ЦЕХ 7</div>
                        </div>
                    </div>
                    <!-- \ Car Row KZ -->

                    <!--Car Row KZ Old Numbers Gov -->
                    <div class="wb_row">
                        <div class="col_1">
                            <!--KAZ-->
                            <div class="car_number old_number">
                                <div class="num_digits">F</div>
                                <div class="num_digits">548</div>
                                <div class="num_digits">AE</div>
                            </div>
                            <!-- \ KAZ-->
                        </div>
                        <div class="col_2">
                            <div class="time_start">01:27:45</div>
                        </div>
                        <div class="col_3">
                            <div class="key">
                                <div class="icon">
                                    <svg width="23" height="23" viewBox="0 0 36 36" fill="none" xmlns="http://www.w3.org/2000/svg">
                                        <path fill-rule="evenodd" clip-rule="evenodd"
                                              d="M23.38 16.7699L23.98 16.1699C25.9374 14.2229 25.9464 11.0579 24 9.09991L18.71 3.83991C16.7575 1.888 13.5925 1.888 11.64 3.83991L3.08997 12.3899C1.13806 14.3424 1.13806 17.5074 3.08997 19.4599L8.34997 24.7199C10.3025 26.6718 13.4675 26.6718 15.42 24.7199L15.87 24.2699L17.97 26.4699H21.41V29.4699H25.1V31.0999L28 33.9999H34V27.4499L23.38 16.7699ZM14.82 10.1799L9.36997 15.6399C8.97993 16.0276 8.35001 16.0276 7.95997 15.6399L7.55997 15.2399C7.17225 14.8499 7.17225 14.2199 7.55997 13.8299L13 8.35991C13.39 7.97219 14.0199 7.97219 14.41 8.35991L14.81 8.75991C15.0006 8.94634 15.1089 9.20119 15.1108 9.46783C15.1127 9.73447 15.008 9.99081 14.82 10.1799ZM28.86 31.9999H32V28.2799L22 18.1799L17.28 22.8299L18.8 24.4399H23.41V27.4399H27.09V30.2399L28.86 31.9999Z"
                                              fill="#737373"/>
                                    </svg>
                                </div>
                                <div class="key_num">28</div>
                            </div>
                            <div class="location">ОЖИДАНИЕ</div>
                        </div>
                        <div class="col_4">
                            <div class="destination"><i class="ri-settings-5-line"></i> ЦЕХ 7</div>
                        </div>
                    </div>
                    <!-- \ Car Row KZ -->

                    <!--Car Row RUS -->
                    <div class="wb_row">
                        <div class="col_1">
                            <!--RUS-->
                            <div class="car_number rus">
                                <div class="num_letters">E</div>
                                <div class="num_digits">111</div>
                                <div class="num_letters">ТУ</div>
                                <div class="num_region">
                                    <span>96</span>
                                    <span class="num_img"></span>
                                </div>

                            </div>
                            <!-- \ RUS-->
                        </div>
                        <div class="col_2">
                            <div class="time_start">01:27:45</div>
                        </div>
                        <div class="col_3">
                            <div class="key">
                                <div class="icon">
                                    <svg width="23" height="23" viewBox="0 0 36 36" fill="none" xmlns="http://www.w3.org/2000/svg">
                                        <path fill-rule="evenodd" clip-rule="evenodd"
                                              d="M23.38 16.7699L23.98 16.1699C25.9374 14.2229 25.9464 11.0579 24 9.09991L18.71 3.83991C16.7575 1.888 13.5925 1.888 11.64 3.83991L3.08997 12.3899C1.13806 14.3424 1.13806 17.5074 3.08997 19.4599L8.34997 24.7199C10.3025 26.6718 13.4675 26.6718 15.42 24.7199L15.87 24.2699L17.97 26.4699H21.41V29.4699H25.1V31.0999L28 33.9999H34V27.4499L23.38 16.7699ZM14.82 10.1799L9.36997 15.6399C8.97993 16.0276 8.35001 16.0276 7.95997 15.6399L7.55997 15.2399C7.17225 14.8499 7.17225 14.2199 7.55997 13.8299L13 8.35991C13.39 7.97219 14.0199 7.97219 14.41 8.35991L14.81 8.75991C15.0006 8.94634 15.1089 9.20119 15.1108 9.46783C15.1127 9.73447 15.008 9.99081 14.82 10.1799ZM28.86 31.9999H32V28.2799L22 18.1799L17.28 22.8299L18.8 24.4399H23.41V27.4399H27.09V30.2399L28.86 31.9999Z"
                                              fill="#737373"/>
                                    </svg>
                                </div>
                                <div class="key_num">28</div>
                            </div>
                            <div class="location">ОЖИДАНИЕ</div>
                        </div>
                        <div class="col_4">
                            <div class="destination"><i class="ri-settings-5-line"></i> ЦЕХ 7</div>
                        </div>
                    </div>
                    <!-- \ Car Row RUS -->

                    <!--Car Row Other AM -->
                    <div class="wb_row">
                        <div class="col_1">
                            <!--KAZ-->
                            <div class="car_number other">
                                <div class="num_digits">34AC567</div>
                            </div>
                            <!-- \ KAZ-->
                        </div>
                        <div class="col_2">
                            <div class="time_start">01:27:45</div>
                        </div>
                        <div class="col_3">
                            <div class="key">
                                <div class="icon">
                                    <svg width="23" height="23" viewBox="0 0 36 36" fill="none" xmlns="http://www.w3.org/2000/svg">
                                        <path fill-rule="evenodd" clip-rule="evenodd"
                                              d="M23.38 16.7699L23.98 16.1699C25.9374 14.2229 25.9464 11.0579 24 9.09991L18.71 3.83991C16.7575 1.888 13.5925 1.888 11.64 3.83991L3.08997 12.3899C1.13806 14.3424 1.13806 17.5074 3.08997 19.4599L8.34997 24.7199C10.3025 26.6718 13.4675 26.6718 15.42 24.7199L15.87 24.2699L17.97 26.4699H21.41V29.4699H25.1V31.0999L28 33.9999H34V27.4499L23.38 16.7699ZM14.82 10.1799L9.36997 15.6399C8.97993 16.0276 8.35001 16.0276 7.95997 15.6399L7.55997 15.2399C7.17225 14.8499 7.17225 14.2199 7.55997 13.8299L13 8.35991C13.39 7.97219 14.0199 7.97219 14.41 8.35991L14.81 8.75991C15.0006 8.94634 15.1089 9.20119 15.1108 9.46783C15.1127 9.73447 15.008 9.99081 14.82 10.1799ZM28.86 31.9999H32V28.2799L22 18.1799L17.28 22.8299L18.8 24.4399H23.41V27.4399H27.09V30.2399L28.86 31.9999Z"
                                              fill="#737373"/>
                                    </svg>
                                </div>
                                <div class="key_num">28</div>
                            </div>
                            <div class="location">ОЖИДАНИЕ</div>
                        </div>
                        <div class="col_4">
                            <div class="destination"><i class="ri-settings-5-line"></i> ЦЕХ 7</div>
                        </div>
                    </div>
                    <!-- \ Car Row KZ -->

                    <!--Car Row Other KG -->
                    <div class="wb_row">
                        <div class="col_1">
                            <!--KAZ-->
                            <div class="car_number other">
                                <div class="num_digits">01509ABC</div>
                            </div>
                            <!-- \ KAZ-->
                        </div>
                        <div class="col_2">
                            <div class="time_start">01:27:45</div>
                        </div>
                        <div class="col_3">
                            <div class="key">
                                <div class="icon">
                                    <svg width="23" height="23" viewBox="0 0 36 36" fill="none" xmlns="http://www.w3.org/2000/svg">
                                        <path fill-rule="evenodd" clip-rule="evenodd"
                                              d="M23.38 16.7699L23.98 16.1699C25.9374 14.2229 25.9464 11.0579 24 9.09991L18.71 3.83991C16.7575 1.888 13.5925 1.888 11.64 3.83991L3.08997 12.3899C1.13806 14.3424 1.13806 17.5074 3.08997 19.4599L8.34997 24.7199C10.3025 26.6718 13.4675 26.6718 15.42 24.7199L15.87 24.2699L17.97 26.4699H21.41V29.4699H25.1V31.0999L28 33.9999H34V27.4499L23.38 16.7699ZM14.82 10.1799L9.36997 15.6399C8.97993 16.0276 8.35001 16.0276 7.95997 15.6399L7.55997 15.2399C7.17225 14.8499 7.17225 14.2199 7.55997 13.8299L13 8.35991C13.39 7.97219 14.0199 7.97219 14.41 8.35991L14.81 8.75991C15.0006 8.94634 15.1089 9.20119 15.1108 9.46783C15.1127 9.73447 15.008 9.99081 14.82 10.1799ZM28.86 31.9999H32V28.2799L22 18.1799L17.28 22.8299L18.8 24.4399H23.41V27.4399H27.09V30.2399L28.86 31.9999Z"
                                              fill="#737373"/>
                                    </svg>
                                </div>
                                <div class="key_num">28</div>
                            </div>
                            <div class="location">ОЖИДАНИЕ</div>
                        </div>
                        <div class="col_4">
                            <div class="destination"><i class="ri-settings-5-line"></i> ЦЕХ 7</div>
                        </div>
                    </div>
                    <!-- \ Car Row KZ -->

                    <!--Car Row Other BY -->
                    <div class="wb_row">
                        <div class="col_1">
                            <!--KAZ-->
                            <div class="car_number other">
                                <div class="num_digits">777-BY-54</div>
                            </div>
                            <!-- \ KAZ-->
                        </div>
                        <div class="col_2">
                            <div class="time_start">01:27:45</div>
                        </div>
                        <div class="col_3">
                            <div class="key">
                                <div class="icon">
                                    <svg width="23" height="23" viewBox="0 0 36 36" fill="none" xmlns="http://www.w3.org/2000/svg">
                                        <path fill-rule="evenodd" clip-rule="evenodd"
                                              d="M23.38 16.7699L23.98 16.1699C25.9374 14.2229 25.9464 11.0579 24 9.09991L18.71 3.83991C16.7575 1.888 13.5925 1.888 11.64 3.83991L3.08997 12.3899C1.13806 14.3424 1.13806 17.5074 3.08997 19.4599L8.34997 24.7199C10.3025 26.6718 13.4675 26.6718 15.42 24.7199L15.87 24.2699L17.97 26.4699H21.41V29.4699H25.1V31.0999L28 33.9999H34V27.4499L23.38 16.7699ZM14.82 10.1799L9.36997 15.6399C8.97993 16.0276 8.35001 16.0276 7.95997 15.6399L7.55997 15.2399C7.17225 14.8499 7.17225 14.2199 7.55997 13.8299L13 8.35991C13.39 7.97219 14.0199 7.97219 14.41 8.35991L14.81 8.75991C15.0006 8.94634 15.1089 9.20119 15.1108 9.46783C15.1127 9.73447 15.008 9.99081 14.82 10.1799ZM28.86 31.9999H32V28.2799L22 18.1799L17.28 22.8299L18.8 24.4399H23.41V27.4399H27.09V30.2399L28.86 31.9999Z"
                                              fill="#737373"/>
                                    </svg>
                                </div>
                                <div class="key_num">28</div>
                            </div>
                            <div class="location">ОЖИДАНИЕ</div>
                        </div>
                        <div class="col_4">
                            <div class="destination"><i class="ri-settings-5-line"></i> ЦЕХ 7</div>
                        </div>
                    </div>
                    <!-- \ Car Row KZ -->

                </div>
            </div>
        </div>

        <div class="tmp_icons" style="font-size: 1rem">


        </div>

    </div>
</template>

<script>
    export default {
        name: 'wash-board',
        data() {
            return {
                interval: null
            }
        },
        created () {
            this.interval = setInterval(this.refreshData, 5000)
        },
        beforeDestroy () {
            clearInterval(this.interval)
        },
        mounted() {
            console.log('Component mounted.')
        },
        methods: {
            refreshData() {
                // fetch data
                axios.get("/api/read")
                    .then(response => {
                        this.items = response.data
                        console.log(this.items)
                    })
            }
        }
    }
</script>
